Files
Retrieve a file
Retrieves the details of an existing file object. After you supply a unique file ID, orq.ai returns the corresponding file object.
GET
Core - Retrieve file metadata
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Retrieves the details of an existing file object. After you supply a unique file ID, orq.ai returns the corresponding file object.
curl --request GET \
--url 'https://api.orq.ai/v2/files/file_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.files.get({
fileId: 'file_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.file.fileName);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.files.get(
file_id="file_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.file.file_name)
{
"file": {
"file_id": "<string>",
"file_name": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"project_id": "<string>"
}
}Was this page helpful?
curl --request GET \
--url 'https://api.orq.ai/v2/files/file_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header 'Authorization: Bearer $ORQ_API_KEY'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.files.get({
fileId: 'file_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.file.fileName);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.files.get(
file_id="file_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.file.file_name)
{
"file": {
"file_id": "<string>",
"file_name": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"project_id": "<string>"
}
}